# NoBrainer Soft Delete

This is an open source project. Contributions are encouraged. Please refer to the guidelines below prior to contributing.

## Filing an issue

When filing an issue please provide the following details:

  - What you're expecting to happen compared with what's actually happening.
  - A comprehensive list of steps to reproduce the issue.
  - Your application's complete `Gemfile.lock`, and `Gemfile.lock` as text in a [Gist](https://gist.github.com) (*not as an image*)
  - Any relevant stack traces ("Full trace" preferred)

Please remember to format code using triple backticks (\`) so that it is neatly
formatted when the issue is posted.

## Pull requests

We gladly accept pull requests to add documentation, fix bugs, and
add new features.

Here's a quick guide:

1. Fork the repo.

2. Run the tests. We only take pull requests with passing tests, and it's great
to know that you have a clean slate.

3. Create new feature branch, make your changes, and add tests for your changes. Only
refactoring and documentation changes require no new tests. If you are adding
functionality or fixing a bug, we need tests!

4. Push to your fork and submit a pull request.

The entire test suite must pass before your feature branch will be merged in.
